Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Summary:   	k3b is a KDE based CD/DVD Burner.
Name:      	k3b
Version:   	1.0.5
Release:   	4
Epoch:		1
License: 	GNU/GPL
URL:		http://www.k3b.org
Group:     	Archiving/CD Burning    
Source0: 	%{name}-%{version}.tar.bz2
# http://bugs.kde.org/151816 , k3b can't reload media for verification
Patch0: 	k3b-1.0.4-kde#151816.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires: 	libmad >= 0.15.1b-3
Requires: 	kdelibs3 >= 3.5.9
Requires: 	kdebase3 >= 3.5.9
Requires: 	hal >= 0.5.5.1
BuildRequires:  libart_lgpl-devel
BuildRequires: 	arts-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  dbus-devel
BuildRequires:  expat-devel
BuildRequires:  fam-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires: 	kdelibs3-devel >= 3.5.9
BuildRequires: 	kdebase3-devel >= 3.5.9
BuildRequires: 	libogg-devel
BuildRequires: 	libvorbis-devel
BuildRequires:	flac-devel
BuildRequires: 	libmad-devel >= 0.15.1b-3
BuildRequires:  libidn-devel
BuildRequires: 	libid3tag-devel
BuildRequires:  taglib-devel
BuildRequires: 	id3lib-devel
BuildRequires: 	lame-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires: 	hal-devel >= 0.5.5.1
BuildRequires:	libmusicbrainz-devel
BuildRequires: 	libsndfile-devel 
BuildRequires:  libsamplerate-devel
BuildRequires:  libdvdread-devel
BuildRequires:	glibc-devel
BuildRequires:  qt3-devel
BuildRequires:  zlib
BuildRequires:  libstdc++-devel
BuildConflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1
 
%description
K3B is a CD and DVD burning application for Linux systems optimized for KDE.
It provides a comfortable user interface to perform most CD/DVD burning tasks
like creating an Audio CD from a set of audio files or copying a CD.
While the experienced user can take influence in all steps of the
burning process the beginner may find comfort in the automatic settings and
the reasonable K3B defaults which allow a quick start.
The actual burning in K3B is done by the command line utilities cdrecord,
cdrdao, and growisofs.

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}    
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/k3b \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --with-k3bsetup=no \
  --without-cdrecord-suid-root \
  --with-oggvorbis \
  --with-flac \
  --with-external-libsamplerate \
  --with-musicbrainz \
  --with-sndfile \
  --with-ffmpeg --with-lame --with-libmad \
  --with-musepack \
  --with-hal
    
make %{?_smp_mflags}


%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 05 2008 Christian Metzen <metzench@ccux-linux.de> 1:1.0.5-4
- reenabled codecs
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 1:1.0.5-3
- rebuild against kdelibs3 , kdebase3 renamed packages
* Wed Jul 30 2008 Christian Metzen <metzench@ccux-linux.de> 1:1.0.5-2
- rebuild against qt and stripped kde3, moved prefix
* Wed May 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.5-1
- Version update
* Fri Jan 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.4-2
- rebuilt against latest multimedia-libs (ffmpeg et al)
* Fri Nov 02 2007 Christian Wasem <wasem@ccux-linux.de> 1:1.0.4-1
- Version update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.3-2
- rebuilt against flac 1.2.1
* Mon Jul 23 2007 Christin Wasem <wasem@ccux-linux.de> 1:1.0.3-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.2-1
- Version update
* Thu Apr 19 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.0.1-1
- Version update, added new configure check for setuid cdrecord
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-4
- rebuilt agains libmpcdec 1.2.5
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.0-3
- devel package require fix
* Sat Mar 17 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.0-2
- added epoch for rc upgrades
* Sat Mar 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- Version update
* Wed Mar 14 2007 Christian Metzen <metzench@ccux-linux.de> 1.0rc7-1
- Version update
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc6-2
- rebuilt against dbus 1.0.2
* Fri Feb 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc6-1
- Version update
* Sun Jan 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc5-1
- Version update
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 1.0rc4-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc3-1
- Version update
* Thu Dec 14 2006 Christian Metzen <metzench@ccux-linux.de> 1.0rc2-1
- Version update
* Wed Dec 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc1-1
- Version update
* Sun Nov 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0beta1-1
- Version update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12.17-1
- Version update
* Fri Jun 23 2006 Christian Metzen <metzench@ccux-linux.de> 0.12.16-1
- Version update
* Wed Apr 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12.15-1
- Version update
- added BuildRequires
* Thu Mar 08 2006 Christian Wasem <wasem@ccux-linux.de> 0.12.14-1
- Version update
* Thu Mar 02 2006 Christian Metzen <metzench@ccux-linux.de> 0.12.13-1
- Version update
* Wed Feb 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12.12-1
- Version update
* Fri Feb 10 2006 Christian Wasem <wasem@ccux-linux.de> 0.12.11-1
- Version update
* Sat Jan 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.12.10-2
- rebuilt against newest qt
* Fri Dec 16 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.10-1
- Version update
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.9-1
- Version update
* Fri Nov 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.8-1
- Version update
* Wed Nov 16 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.7-2
- Version hopping
* Wed Nov 02 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.7-1
- Version update
* Sun Oct 30 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.6-1
- Version update
* Sat Oct 29 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.5-2
- Rebuild against newest KDE/DBUS/HAL
* Wed Oct 19 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.5-1
- Version update
* Sat Sep 10 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.4a-1
- Version update
* Fri Jul 29 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.3-1
- Version update
* Sun Jul 03 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.2-1
- Version update to 0.12.2
* Sun Jun 19 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.1-2
- Fixed minor Bug
* Sat Jun 18 2005 Christian Metzen <metzench@ccux-linux.de> 0.12.1-1
- Version update to 0.12.1
* Sat Jun 18 2005 Christian Metzen <metzench@ccux-linux.de> 0.12-4
- Added libmusicbrainz
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 0.12-3
- Recompilation against newest flac
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.12-2
- Moved static Files to devel Package
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.12-1
- Version update to 0.12
* Wed May 11 2005 Christian Metzen <metzench@ccux-linux.de> 0.11.24-1
- Version update to 0.11.24
* Sat Mar 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.11.23-1
- Version Update to 0.11.23
- added more Infos in the Description-Section
- specfile improvements
* Wed Mar 16 2005 Christian Metzen <metzench@ccux-linux.de> 0.11.22-1
- Version Update to 0.11.22
* Tue Mar 15 2005 Christian Metzen <metzench@ccux-linux.de> 0.11.21-1
- Version Update to 0.11.21
* Sat Feb 05 2005 Christian Metzen <metzench@ccux-linux.de> 0.11.20-1
- Version Update to 0.11.20
* Mon Dec 13 2004 Christian Metzen <metzench@ccux-linux.de> 0.11.19-1
- Version Update to 0.11.19
* Mon Dec 13 2004 Christian Metzen <metzench@ccux-linux.de> 0.11.18-1
- Initial Release
